Mudanças entre a Versão Inicial e Versão 1 de PrepararEclipseParaSigi


Ignorar:
Timestamp:
04/05/2011 19:42:01 (10 anos atrás)
Autor:
sesostris
Comentário:

--

Legenda:

Não Modificado
Adicionado
Removido
Modificado
  • PrepararEclipseParaSigi

    v1 v1  
     1= Como Preparar o Eclipse Para o Sigi =
     2
     3Faça o download do eclipse a partir do site oficial. Procure pela versão 3.6.1 ou superior. Usamos nesse tutorial a versão 3.6.1, então todos os exemplos se referem a essa versão.
     4
     5 * '''Produto''': Eclipse SDK 3.6.1
     6 * '''Página do produto''': http://www.eclipse.org/
     7
     8
     9'''Obs:''' Todos os procedimentos aqui pressuõem poderes de ~~supercow~~ superusuário, o que é denotado pela marca '''#''' no início das linhas de comando. Você deverá então preceder os comandos com '''sudo''', ou então executar um '''sudo su''' para alternar para root.
     10
     11== Procedimentos para instalação do eclipse ==
     12
     13 * Descompactar o arquivo na pasta /opt:
     14{{{
     15# cd /opt
     16# tar zxvf eclipse-SDK-3.6.1-linux-gtk.tar.gz
     17}}}
     18
     19 * Criar os links para execução do eclipse:
     20{{{
     21# ln -s /opt/eclipse/eclipse /etc/alternatives/eclipse
     22# ln -s /etc/alternatives/eclipse /usr/bin/eclipse
     23}}}
     24
     25 * Executar o eclipse, para poder instalar os plugins a partir da interface gráfica:
     26{{{
     27# eclipse
     28}}}
     29
     30 * Instalar pacotes:
     31     * Help -> Install New Software
     32     * No campo Work with, selecione '''Helios - !http://download.eclipse.org/releases/helios'''. Se a fonte de pacotes Helios não aparecer na lista, você terá que criá-la, seguindo os passos:
     33         * Clicar em Add...
     34         * Em Name, escreva '''Helios - !http://download.eclipse.org/releases/helios'''
     35         * Em Location, escreva '''!http://download.eclipse.org/releases/helios'''
     36         * Clicar em Ok
     37     * Quando a lista de pacotes aparecer, selecione os seguintes:
     38         * Business Inteligence, Reporting and Charting:
     39           * BIRT Framework
     40           * Eclipse BIRT Chart Context Sensitive Help Documentation
     41           * Eclipse BIRT Context Sensitive Help Documentation
     42           * Eclipse BIRT Documentation
     43           * Eclipse BIRT Example
     44         * Collaboration
     45           * Subversive SVN Team Provider (Incubation)
     46           * Subversive Revision Graph (Optional) (Incubation)
     47         * Database Development
     48           * '''Selecionar todos! '''
     49         * General Purpose Tools
     50           * Local Terminal (Incubation)
     51         * SOA Development
     52           * BPMN Project Feature
     53         * Web, XML, and Java EE Development
     54           * Eclipse Web Developer Tools
     55           * Eclipse XML Editors and Tools
     56           * Eclipse XSL Developer Tools
     57           * !JavaScript Development Tools
     58           * Web Page Editor (Optional)
     59
     60Instale esses pacotes (clicando em next, next, finish). Se ocorrer algum erro, tente novamente. Se o problema persistir, apague a pasta /opt/eclipse e comece do início. Tente também instalar aos poucos.
     61
     62 * Instale o Pydev:
     63    * Selecione Help -> Install new software, clique no botão Add...
     64    * Preencha Name com '''Pydev org''' e Location com '''!http://pydev.org/updates'''.
     65    * Clique Ok.
     66    * Selecione e instale o pacote !PyDev > !PyDev for Eclipse
     67Caso encontre problemas na instalação do Pydev, pode-se baixar o .zip e descompactá-lo diretamente na pasta /opt/eclipse/plugins. Deve-se verificar as permissões e o owner dos arquivos para que funcione.
     68
     69 * Colocar o eclipse em português do Brasil:
     70Acessar a página do Eclipse Babel Project (http://www.eclipse.org/babel/) e vá para a área de downloads. Baixar os pacotes de linguagem (pt_BR) para cada pacote de software instalado no item anterior (alguns não existem, mas baixe o que tiver).
     71
     72Quando escrevi este documento, os pacotes que encontrei foram os seguintes:
     73
     74     * !BabelLanguagePack-birt-pt_BR_3.6.0.v20101211043401.zip
     75     * !BabelLanguagePack-datatools-pt_BR_3.6.0.v20101211043401.zip
     76     * !BabelLanguagePack-eclipse-pt_BR_3.6.0.v20101211043401.zip
     77     * !BabelLanguagePack-technology.linux-distros-pt_BR_3.6.0.v20101211043401.zip
     78     * !BabelLanguagePack-webtools.common-pt_BR_3.6.0.v20101211043401.zip
     79     * !BabelLanguagePack-webtools.sourceediting-pt_BR_3.6.0.v20101211043401.zip
     80     * !BabelLanguagePack-webtools.webservices-pt_BR_3.6.0.v20101211043401.zip
     81
     82Depois de baixar, descompacte todos os arquivos na pasta /opt/eclipse. Pronto! Seu eclipse agora está traduzido para o português!
 

The contents and data of this website are published under license:
Creative Commons 4.0 Brasil - Atribuir Fonte - Compartilhar Igual.